Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.symbol.nullvalue
Class OutputNullValues

    java.lang.Object
      org.maltparser.core.symbol.nullvalue.NullValues
          org.maltparser.core.symbol.nullvalue.OutputNullValues

    public class OutputNullValues

extends NullValues

Since:
  1.0
Author:
  Johan Hall

Nested Class Summary

Nested classes/interfaces inherited from class org.maltparser.core.symbol.nullvalue.NullValues
`NullValues.NullValueDegree, NullValues.NullValueId`

Field Summary

Fields inherited from class org.maltparser.core.symbol.nullvalue.NullValues
`code2SymbolMap, nextCode, nullValue2CodeMap, nullValue2SymbolMap, nullValueEncoding, nullValueStrategy, symbol2CodeMap, table`

Constructor Summary
`OutputNullValues(String nullValueStrategy, SymbolTable table, String rootLabel)`

Method Summary
`String` | `getRootLabel()`
`protected void` | `makeNullValues()`
`protected void` | `setNullValueEncoding(String nullValueStrategy)`
`String` | `toString()`

Methods inherited from class org.maltparser.core.symbol.nullvalue.NullValues
`codeToSymbol, equals, getNextCode, getNullValueEncoding, getNullValueStrategy, getSymbolTable, isNullValue, isNullValue, isNullValue, nullvalueToCode, nullvalueToSymbol, setNextCode, setNullValueStrategy, symbolToCode, symbolToCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutputNullValues

    public OutputNullValues(String nullValueStrategy,
                            SymbolTable table,
                            String rootLabel)

Method Detail

### getRootLabel

    public String getRootLabel()

### setNullValueEncoding

    protected void setNullValueEncoding(String nullValueStrategy)

  Specified by:
    `setNullValueEncoding` in class `NullValues`

### makeNullValues

    protected void makeNullValues()

  Specified by:
    `makeNullValues` in class `NullValues`

### toString

    public String toString()

  Overrides:
    `toString` in class `NullValues`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.